# Дана строка текста. Напишите программу для подсчета стоимости строки, исходя из того, что один любой символ
# (в том числе пробел) стоит 60 копеек. Ответ дайте в рублях и копейках в соответствии с примерами.

def line_cost(string):
    string_length = len(list(string))
    rubles = string_length * 60 // 100
    kopecks = string_length * 60 % 100
    return f'{rubles} р. {kopecks} коп.'


# Дано пятизначное или шестизначное натуральное число. Напишите программу, которая изменит порядок его последних
# пяти цифр на обратный

def change_numbers(numbers):
    last_numbers = str(numbers)[-5:]
    return int(str(numbers)[:-5] + last_numbers[::-1])


# На вход программе подаётся натуральное число. Напишите программу, которая вставляет в заданное число запятые
# в соответствии со стандартным американским соглашением о запятых в больших числах.

def number_convention(number):
    result = []
    count = 0
    for char in reversed(str(number)):
        result.append(char)
        count += 1
        if count % 3 == 0 and count < len(str(number)):
            result.append(',')
    return ''.join(reversed(result))


# Китайский гороскоп назначает животным годы в 12-летнем цикле. Один 12-летний цикл показан в таблице ниже.
# Таким образом, 2012 год будет очередным годом дракона.

def get_zodiac(year):
    animals = [
        'Дракон', 'Змея', 'Лошадь', 'Овца', 'Обезьяна', 'Петух', 'Собака', 'Свинья', 'Крыса', 'Бык', 'Тигр', 'Заяц'
    ]
    return animals[year % 2000 % 12]
